plptools (1.0.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release 1.0.13. (Closes: #732299)
  * Fix "plpfuse missing on 64-bit archs".  (Closes: #593791)
  * Fix a bug preventing plpfuse working with EPOC16 machines.
    (Sourceforge bug #62)
  * Fix a crash in plpfuse.  (Closes: #716591)
  * Add Japanese debconf translation.  (Closes: #718756)
  * Update packaging to debhelper 9, Debian policy 3.9.5.
    (Closes: #727942)
  * Fix handling of *_ARGS variables containing spaces in
    /etc/default/plptools, and use correct flag to plpprintd for
    print command.  (Closes: #238921)
  * Remove -dev package, which is unused and has no (build-)deps.
  * Fix race condition during package upgrade.

 -- Reuben Thomas <rrt@sc3d.org>  Tue, 22 Jul 2014 15:47:33 +0100

plptools (1.0.9-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install due to insserv rejecting the script header":
    remove fuse from Required-{Start,Stop} in init script; the fuse init
    script is gone since 2.8.7-2.
    Thanks, Andreas Beckmann.
    (Closes: #670221)
  * Stop shipping .la file.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Jun 2012 18:24:28 +0200

plptools (1.0.9-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Drop automake1.7, autoconf and libtool from Build-Depends field,
      they are not required (Closes: #648587).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Feb 2012 00:17:25 +0100

plptools (1.0.9-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #596611
    - Dutch; (Jeroen Schot).  Closes: #656461

 -- Christian Perrier <bubulle@debian.org>  Mon, 23 Jan 2012 21:49:32 +0100

plptools (1.0.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix installability on kfreebsd-*.  (Closes: #634328)

 -- Robert Millan <rmh@debian.org>  Fri, 02 Dec 2011 19:40:03 +0000

plptools (1.0.9-2) unstable; urgency=low

  * Update Portuguese debconf translation (closes: #574190)
  * Add Italian debconf translation (closes: #575097) 

 -- John Lines <john@paladyn.org>  Wed, 31 Mar 2010 20:34:13 +0100

plptools (1.0.9-1) unstable; urgency=low

  * New upstream version (closes: #539299)
  * Update German debconf translation (closes: #563396)
  * Update French debconf translation (closes: #563403)
  * Update Russian debconf translation (closes: #563644)
  * Update Swedish debconf translation (closes: #564129)
  * Update Vietnamese debconf translation (closes: #573533)

 -- John Lines <john@paladyn.org>  Sun, 14 Mar 2010 07:32:22 +0000

plptools (1.0.8-1) unstable; urgency=low

  * New upstream version (closes: #539229)
  * Includes gcc4.4 fixes (closes: #505702)
  * Build depend on libreadline-dev, (closes: #553827)
  * No longer suggest portmap as not required for plpfuse (closes: #518282)
  * Tidy up package description (closes: #518282,#523908)
  * check if modprobe fuse is required in init script (closes: #526407)
  * Update Czech translation (closes: #534791)
  * Update Spanish translation (closes: #547778)

 -- John Lines <john@paladin.demon.co.uk>  Thu, 31 Dec 2009 15:30:58 +0000

plptools (1.0.4-4) unstable; urgency=low

  * Really include Russian debconf translation

 -- John Lines <john@paladin.demon.co.uk>  Sat, 27 Sep 2008 13:46:28 +0100

plptools (1.0.4-3) unstable; urgency=low

  * Update Russian debconf translation (closes: #495571)
  * Update Portuguese debconf translation (closes: #498803)

 -- John Lines <john@paladin.demon.co.uk>  Sat, 27 Sep 2008 12:23:48 +0100

plptools (1.0.4-2) unstable; urgency=low

  * Update German debconf translation (closes: #494008)
  * Update French debconf translation (closes: #494134)
  * Update Swedish debconf translation (closes: #495496)

 -- John Lines <john@paladin.demon.co.uk>  Mon, 18 Aug 2008 18:25:18 +0100

plptools (1.0.4-1) unstable; urgency=low

  * Package version 1.0.4
  * This version does not provide KDE related packages, remove
     plptools-kde,kpsion and klipsi package.
  * Also remove libplpc2a package and provide it from plptools
  * Remove build dependency on kdoc (closes: #492104)
  * use /etc/default/plptools as the configuration file (closes: #189137)

 -- John Lines <john@paladin.demon.co.uk>  Thu, 24 Jul 2008 21:36:48 +0100

plptools (0.18-2) unstable; urgency=low

  * Remove build-depends on libqt3-compat-headers (closes: #464747)
  * Include cstdlib in lib/bufferstore.cc to fix FTBFS with gcc 4.3
  * Include csdtdlib and cstring in most sources
  * Test build with gcc-snapshot, and rebuild with gcc (closes: #417483)
  * Add LSB formatted dependency information into init.d (closes: #468890)

 -- John Lines <john@paladin.demon.co.uk>  Sat, 01 Mar 2008 19:11:45 +0000

plptools (0.18-1) unstable; urgency=low

  * New upstream version (closes: #390593, #230172)
  * Includes cstdlib to fix FTBFS with gcc 4.3 (closes: #417483)
  * Include German debconf translation (closes: #412381)
  * Include Spanish debconf translation (closes: #414358, #415033)
  * Include Portuguese debconf translation (closes: #420083)
  * Include Dutch debconf translation (closes: #423051)
  * Update the description to reference EPOC devices and correct the
     english (closes: #365958)
  * Add dh_icons to rules - rebuild Freedesktop icon cache if required.
  * Change menu section to Applications/Mobile Devices

 -- John Lines <john@paladin.demon.co.uk>  Sat,  2 Feb 2008 15:13:49 +0000

plptools (0.15-2) unstable; urgency=low

  * Acknowledge NMUs
  * Add --wildcards switch to tar in plpbackup (closes: #386834, #378208)
     thanks to Reuben Thomas for the patch.
  * Stop plpnfsd more gracefully in /etc/init.d/plptools (Closes: #386841)
  * Fix problem in plptools-kde prerm and postinst (Closes: #347365)

 -- John Lines <john@paladin.demon.co.uk>  Tue, 16 Jan 2007 22:16:08 +0000

plptools (0.15-1.2) unstable; urgency=medium

  * Non-maintainer upload (Utrecht BSP)
  * Fix FTBFS on amd64 by removing obsolete typedefs
    thanks to Frits Daalmans for the patch.
    (closes: #384146, #386833, #388831)

 -- Bas Zoetekouw <bas@debian.org>  Sun,  1 Oct 2006 13:15:26 +0200

plptools (0.15-1.1) unstable; urgency=medium

  * Non-maintainer upload (Utrecht BSP)
  * Fix FTBFS by chnaging the ENUM_DEFINITION macro; 
    thanks to Mike O'Connor for the patch.
    (closes: #384146, #386833, #388831)

 -- Bas Zoetekouw <bas@debian.org>  Fri, 29 Sep 2006 14:38:16 +0000

plptools (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #371044)
  * Build with --with-serial=/dev/ttyS0 (Closes: #341822)
  * libplpc2a Replaces plptools <=0.14-4 (Closes: #365031)

 -- John Lines <john@paladin.demon.co.uk>  Sun, 20 Aug 2006 07:22:41 +0100

plptools (0.14-4) unstable; urgency=low

  * Split libplp into its own library package (Closes: #339251)
  * Suggest portmap for plptools as plpnfsd needs it, but plpftp does not (Closes: #341166)
  * Add Swedish debconf template (Closes: #351350)

 -- John Lines <john@paladin.demon.co.uk>  Sun,  9 Apr 2006 15:21:24 +0100

plptools (0.14-3) unstable; urgency=low

  * Rebuild C++ ABI transition (Closes: #339251) - note library is internal to plptools suite
  * Allow dh_installdebconf to set up correct debconf dependancy (Closes: #332069)

 -- John Lines <john@paladin.demon.co.uk>  Tue, 27 Dec 2005 17:34:49 +0000

plptools (0.14-2) unstable; urgency=low

  * Fix build on amd64, patch from Andreas Jochens (Closes: #330034)
  * Fix typos in debconf question (Closes: #251601)
  * Mark plptools templates strings as translatable (Closes: #338133)
  * Incorporate Czech and Vietnamese debconf templates (Closes: #316870,#318434)
  * Correct some spelling errors in de.po, patch from Jens Seidel (Closes: #313940)

 -- John Lines <john@paladin.demon.co.uk>  Sat, 12 Nov 2005 14:24:48 +0000

plptools (0.14-1) unstable; urgency=low

  * New Upstream release (Closes: #325483,#304950)
  * Use libreadline5 (Closes: #326308)
  * Add po-debconf to Build-Depends
  * Add plptools-kde, kpsion and klipsi back into control file
  * Correct spelling in plptools-kde control section (Closes: #268538)
  * New upstream contains fixes to enable gcc 4.0 compile (Closes: #303721) 

 -- John Lines <john@paladin.demon.co.uk>  Sun, 18 Sep 2005 18:33:25 +0100

plptools (0.12-5) unstable; urgency=low

  * Only build plptools and plptools-dev, remove the KDE dependent targets
     as a workaround to get plptools into testing (Closes: #246475)

 -- John Lines <john@paladin.demon.co.uk>  Sun, 12 Sep 2004 10:41:01 +0100

plptools (0.12-4) unstable; urgency=low

  * Acknowledge bugs fixed in NMUs
  * Closes: #173345: undeclared dep on kdelibs-dev
  * Closes: #189113: plptools_0.12-1.1(unstable/sparc): broken build-
    depends
  * Closes: #201753: plptools_0.12-1.2(mipsel/unstable): broken build-
    depends
  * Closes: #175728: plptools_0.11-1.1(unstable/ia64): FTBFS: versioned
    dependency on provided package
  * Closes: #189135: plpbackup doesn't work
  * Also fix translation bugs.
  * Closes: #228468: Some strings shouldn't be marked for translation

 -- John Lines <john@paladin.demon.co.uk>  Mon, 26 Jan 2004 22:19:17 +0000

plptools (0.12-3) unstable; urgency=low

  * Closes: #207100 fix libnewt dependencies. 

 -- John Lines <john@paladin.demon.co.uk>  Sun, 11 Jan 2004 12:28:27 +0000

plptools (0.12-2) unstable; urgency=low

  * Closes: #217900: FTBFS on ia64 - conflicting type declarations
  * Closes: #221004: config.sub/config.guess out of date
      libtoolize -c --force to regenerate these files
  * Closes: #191986: prerm script breaks if system has two kdebugrc
    files
  * Closes: #200062: Upgrade problems
  * Closes: #208869: Please switch to gettext-based debconf templates
  * Closes: #211268: French translation of gettext debconf template

 -- John Lines <john@paladin.demon.co.uk>  Tue, 16 Dec 2003 12:00:40 +0000

plptools (0.12-1.3) unstable; urgency=low

  * NMU (again) to DELAYED/7-day:
    - Build-Depends is now _really_ fixed by removing the or
      dependancies, as should have done previously (Closes: #201753)
    - Recompiled with libnewt0.51 (Closes: #207100)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 18 Sep 2003 02:11:51 +0200

plptools (0.12-1.2) unstable; urgency=low

  * NMU upload (again) since Jon does not answer emails:
  (I cannot access the CVS server of plptools at sourceforge since it
   is down for maintenance so I don't know if this has been fixed
   upstream)
    - Fixed the Build-Depends and used --with-qt-dir=/usr/share/qt3 
      in debian/rules as suggested by KDE developer Ralf Nolden 
      (Closes: #189113)
    - Added the patch which fixes plbackup's unfriendly behavior of not
      printing an error if called with no arguments (Closes: #189135)
    - Added <cassert> to Enum in order for it to compile with g++ 3.3
    (the includes should be cleaned too since they use deprecated calls,
    upstream should do this -if not done already in CVS)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 20 Jun 2003 19:01:52 +0200

plptools (0.12-1.1) unstable; urgency=high

  * NMU upload since the maintainer cannot upload it himself.
  (after much struggling trying to get kdebase4 into my environment)
    - added John's Build-Depends for 0.12 (uses automake1.7)
    - Improved Build-Depends to avoid using versioning depends on
    automake use automake1.X instead (Closes: #175728)
    - added 0.11 changelog entries.
    - included 'fake' 0.12-1 entry
    - removes kde-config from plptools-dev (Closes: #173345)
    - Added the Homepage to all packages 
    - Added libqte-mt3-dev to Build-Depend, after a lot of issues 
    trying to make it compile in unstable
    (kdelibs4-dev pulls in libqte-mt3-dev and that one conflicts
    with libqt3-dev)
    - Modified m4 macros for QT detection and regerenated 
    aclocal.m4 to look for libqt properly and use -lqt-mt in Debian!
    (ugly hack which works with libqte-mt-dev)
    - Changed maintainer-clean to distclean in debian/rules (why
      was maintainer-clean done?)
    - Fixed psitime.cc use of Psitime::Psitime
    - Note: Be careful when compiling this package using libqte-mt-dev
    and make sure that /usr/bin/moc points to /usr/bin/moc-qt3 and not
    /usr/bin/moc-qt2 (otherwise it will _not_ compile)
    - Debian/rules no longer moves files which should be kept on debian/
    (still, I don't like the find done after the previous 'mv')
  * Based on new upstream version  which fixes a local root vulnerability
    (Closes: #178981)
  (Note to John: there were no .tar.gz or .diff.gz for the 0.12 version
  at http://www.paladin.demon.co.uk/packages/ so I had to take them
  from sourceforge and shake & mix with version in unstable and your .changes)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Apr 2003 12:35:46 +0200

plptools (0.12-1) unstable; urgency=low
  
  * Build from CVS version to incorporate gcc3.2 changes

 -- John Lines <john@paladin.demon.co.uk>  Thu, 13 Feb 2003 22:12:59 +0000

plptools (0.12-0) unstable; urgency=low

  * Security fix for several formatstring exploits

 -- Fritz Elfert <felfert@users.sf.net>  Mon,  3 Feb 2003 06:01:22 +0100

plptools (0.11-1.1) unstable; urgency=high

  * Non-maintainer upload
  * This is due to John Lines' problems with his pgp key.

 -- Hugo Espuny <hec@debian.org>  Fri, 15 Nov 2002 14:06:30 +0100

plptools (0.11-1) unstable; urgency=low

  * Official package, based on Fritz's packaging.
  * contains LaMont Jones' patch for gcc3 build - Closes: #104967
  * plpbackup now has a restore function - Closes: #149615
  * Contains fixes for cpu eating problems - Closes: #119948, #146702

 -- John Lines <john@paladin.demon.co.uk>  Thu, 25 Jul 2002 21:46:15 +0100


plptools (0.11-0) unstable; urgency=low

  * New upstream version
  * Made separate binaries for KDE dependant programs
  * Made separate dev package

 -- Fritz Elfert <felfert@users.sf.net>  Sun, 14 Jul 2002 04:22:58 +0100

plptools (0.10-1) unstable; urgency=low

  * New upstream version Closes: #102107
  * Depend on libreadline4, Closes: #89415
  * Add Build-Depends (might fix autobuilder problems on hppa and m68k

 -- John Lines <john@paladin.demon.co.uk>  Tue,  6 Nov 2001 21:24:21 +0000

plptools (0.7-2) unstable; urgency=low

  * rebuild for libreadline4 Closes: #89415

 -- John Lines <john@paladin.demon.co.uk>  Sun, 13 May 2001 18:55:40 +0100

plptools (0.7-1) unstable; urgency=low

  * Initial Release.

 -- John Lines <john@paladin.demon.co.uk>  Wed, 13 Dec 2000 11:35:52 +0000
